b2_get_file_info
  • 11 Sep 2026
  • Dark
    Light

b2_get_file_info

  • Dark
    Light

Article summary

Get
/b2api/v4/b2_get_file_info

NOTE:

This API request is now being described as a GET request and not a POST request, as was the case in previous versions of our documentation.

We made this update because we believe that an API call that retrieves data and does not alter state is more accurately represented as a GET request.

You may still make a POST request to this endpoint by simply submitting a JSON-formatted request body containing the parameters, with Content-Type set to application/json.


Gets information about a file

This will return an error if called on a non-existent file ID or if called on an unfinished large file.


API Versions

v1: Application keys (July 26, 2018)

Incompatible change: After calling b2_authorize_account with an application key that does not have the right permissions, this call will return a 401 Unauthorized.

v1: Original release (September 22, 2015)


For information on all API versions, view our API changelog.

Header parameters
Authorization
stringRequired

An account authorization token, obtained from b2_authorize_account.

The token must have the readFiles capability.

Query parameters
fileId
stringRequired

The ID of the file, as returned by b2_upload_file, b2_hide_file, b2_list_file_names, or b2_list_file_versions.

Responses
200

The request succeeded.


The response headers include the Content-Type that was specified when the file was uploaded. They also include the X-Bz-FileName and X-Bz-Content-Sha1 headers, plus X-Bz-Info-* headers for any custom file info that was provided with the upload. The X-Bz-FileName uses percent-encoding, as if it were a URL parameter.

Expand All
object
accountId
string

The account that owns the file.

ExampleACCOUNT_ID
action
string

One of "start", "upload", "hide", "folder", or other values added in the future. "upload" means a file that was uploaded to B2 Cloud Storage. "start" means that a large file has been started, but not finished or canceled. "hide" means a file version marking the file as hidden, so that it will not show up in b2_list_file_names. "folder" is used to indicate a virtual folder when listing files.

Examplestart
bucketId
string

The identifier for the bucket.

Examplee73ede9c9c8412db49f60715
contentLength
integer

The number of bytes stored in the file. Only useful when the action is "upload".


Always 0 when the action is "start", "hide", or "folder".

Example122573
contentSha1
string

The SHA1 of the bytes stored in the file as a 40-digit hex string. Large files do not have SHA1 checksums, and the value is "none".


The value is null when the action is "hide" or "folder".

Examplea01a21253a07fb08a354acd30f3a6f32abb76821
contentMd5
string

The MD5 of the bytes stored in the file as a 32-digit hex string. Not all files have an MD5 checksum, so this field is optional, and set to null for files that do not have one. Large files do not have MD5 checksums, and the value is null.


The value is also null when the action is "hide" or "folder".

Example142be8357f26eda2ec6775cce257753b
contentType
string

When the action is "upload" or "start", the MIME type of the file, as specified when the file was uploaded. For "hide" action, always "application/x-bz-hide-marker".


For "folder" action, always null.

Exampleimage/jpeg
fileId
string

The unique identifier for this version of this file. Used with b2_get_file_info, b2_download_file_by_id, and b2_delete_file_version.


The value is null when for action "folder".

Example4_ze73ede9c9c8412db49f60715_f100b4e93fbae6252_d20150824_m224353_c900_v8881000_t0001
fileInfo
object

The custom information that was uploaded with the file. This is a JSON object, holding the name/value pairs that were uploaded with the file.

Example{ "src_last_modified_millis": "1535629029000" }
fileName
string

The name of this file, which can be used with b2_download_file_by_name.

Exampleakitty.jpg
fileRetention
object

The Object Lock retention settings for this file, if any. This field is filtered based on application key capabilities; the readFileRetentions capability is required to access the value. See Object Lock for more details on response structure.


This field is omitted when the action is "hide" or "folder".

Example{ "isClientAuthorizedToRead": true, "value": { "mode": null, "retainUntilTimestamp": null } }
isClientAuthorizedToRead
boolean
value
object
mode
string
retainUntilTimestamp
integer
legalHold
object

The Object Lock legal hold status for this file, if any. This field is filtered based on application key capabilities; the readFileLegalHolds capability is required to access the value. See Object Lock for more details on response structure.


This field is omitted when the action is "hide" or "folder".

Example{ "isClientAuthorizedToRead": true, "value": null }
isClientAuthorizedToRead
boolean
value
string
replicationStatus
string

The Replication Status for this file, if any. This will show either PENDING, COMPLETED, FAILED, or REPLICA For details see Cloud Replication.


This field is omitted when the file is not part of a replication rule.

ExamplePENDING
serverSideEncryption
object

When the file is encrypted with Server-Side Encryption, the mode ("SSE-B2" or "SSE-C") and algorithm used to encrypt the data. If the file is not encrypted with Server-Side Encryption, then both mode and algorithm will be null.


This field is omitted when the action is "hide" or "folder".

Example{ "algorithm": "AES256", "mode": "SSE-B2" }
algorithm
string
mode
string
uploadTimestamp
integer

This is a UTC time when this file was uploaded. It is a base 10 number of milliseconds since midnight, January 1, 1970 UTC. This fits in a 64 bit integer such as the type "long" in the programming language Java. It is intended to be compatible with Java's time long. For example, it can be passed directly into the java call Date.setTime(long time).


Always 0 when the action is "folder".

Example1536964279000
400
statuscodedescription
400bad_bucket_idThe requested bucket ID does not match an existing bucket.
400bad_requestThe request had the wrong fields or illegal values. The message returned with the error will describe the problem.
object
status
integer

The numeric HTTP status code. Always matches the status in the HTTP response.

Example400
code
string

A single-identifier code that identifies the error.

Exampleinvalid_bucket_name
message
string

A human-readable message, in English, saying what went wrong.

Examplebucket name is too long
401
statuscodedescription
401bad_auth_tokenThe auth token used is not valid. Call b2_authorize_account again to either get a new one, or an error message describing the problem.
401expired_auth_tokenThe auth token used has expired. Call b2_authorize_account again to get a new one.
401unauthorizedThe auth token used is valid, but does not authorize this call with these parameters. The capabilities of an auth token are determined by the application key used with b2_authorize_account.
403
statuscodedescription
403transaction_cap_exceededTransaction cap exceeded. Daily transaction caps apply to non-paying accounts. To view or adjust your caps, sign in to your B2 Cloud Storage account online and select the Caps & Alerts link in the B2 Cloud Storage section of the sidebar.
404
statuscodedescription
404not_foundFile is not in B2 Cloud Storage.

Was this article helpful?